import { a as isObject, b as isSymbol, c as baseGetTag, d as isObjectLike } from "./chunk-89dac778.js";
var NAN = NaN, reTrim = /^\s+|\s+$/g, reIsBadHex = /^[-+]0x[0-9a-f]+$/i, reIsBinary = /^0b[01]+$/i, reIsOctal = /^0o[0-7]+$/i, freeParseInt = parseInt;
function toNumber(e) { if ("number" == typeof e)
    return e; if (isSymbol(e))
    return NAN; if (isObject(e)) {
    var r = "function" == typeof e.valueOf ? e.valueOf() : e;
    e = isObject(r) ? r + "" : r;
} if ("string" != typeof e)
    return 0 === e ? e : +e; e = e.replace(reTrim, ""); var s = reIsBinary.test(e); return s || reIsOctal.test(e) ? freeParseInt(e.slice(2), s ? 2 : 8) : reIsBadHex.test(e) ? NAN : +e; }
var toNumber_1, isNumber_1, numberTag = "[object Number]";
function isNumber(e) { return "number" == typeof e || isObjectLike(e) && baseGetTag(e) == numberTag; }
function isNaN$1(e) { return isNumber_1(e) && e != +e; }
var _isNaN = isNaN$1;
function eq(e, r) { return e === r || e != e && r != r; }
var eq_1 = eq, MAX_SAFE_INTEGER = 9007199254740991, reIsUint = /^(?:0|[1-9]\d*)$/;
function isIndex(e, r) { var s = typeof e; return !!(r = null == r ? MAX_SAFE_INTEGER : r) && ("number" == s || "symbol" != s && reIsUint.test(e)) && e > -1 && e % 1 == 0 && e < r; }
var _isIndex = isIndex;
export { eq_1 as a, _isIndex as b, toNumber as c, _isNaN as d, toNumber as e, isNumber as f };
