import '../../stencil.core';
export declare class BsScrollspy {
    scrollspyEl: HTMLElement;
    activateEventName: string;
    useBodyForScrollElement: boolean;
    verboseLogging: boolean;
    defaults: {
        offset: number;
        method: string;
        target: string;
    };
    scrollElement: any;
    config: any;
    selector: string;
    offsets: any;
    targets: any;
    activeTarget: any;
    scrollHeight: any;
    componentWillLoad(): void;
    componentDidUnload(): void;
    handleScrollElement: () => void;
    getConfig(overrideConfig?: any): any;
    /**
     * Get an element's distance from the top of the Document.
     * @private
     * @param  {Node} elem The element
     * @return {Number}    Distance from the top in pixels
     */
    getOffsetTop(element: any): number;
    refresh(): void;
    getScrollTop(): any;
    getScrollHeight(): any;
    getOffsetHeight(): any;
    isActiveTarget(index: any, scrollTop: any): boolean;
    process(): void;
    clear(container: any): void;
    static getLinkArr(target: any, container: any): any[];
    static getParentArrBySelector(el: any, selector: any): any[];
    activate(target: any): void;
    scrollspy(scrollspyOptions?: {}): any;
    render(): JSX.Element;
}
